%define		qmake %_qt4dir/bin/qmake
Version:	1.0
Name:		qxmp
Release:	alt0.M24.2
Summary:	Qxmp is a light media player (based on MPlayer)
License: 	GPL
Group: 		Video
Url:		http://www.xm1math.net/qxmp/index.html
Source:		%name-%version.tar.bz2

Requires:	MPlayer
BuildPreReq:	menu-devel ImageMagick
# Automatically added by buildreq on Sat Dec 16 2006
# Manually removed qt4-settings
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libqt4-devel libstdc++-devel

%description
Qxmp is a light media player (based on MPlayer) for Linux and Unix workstations.
With Qxmp you can easily play a wide variety of video and audio files and streams
using a simple and clean interface.
Qxmp is not a complex media manager: it provides a simple and compact frontend to
MPlayer, allowing you to just enjoy your media.

%prep
%setup -q

%build
%qmake PREFIX=/usr %name.pro
%__subst 's|-pipe -Wall -W -D_REENTRANT|%optflags|g' Makefile
%__subst 's|-vo xv|-vo x11 -zoom -stop-xscreensaver|g' qxmp.cpp
%make_build

%install
%make INSTALL_ROOT=%buildroot install

# Menu
%__mkdir -p %buildroot/%_menudir/
%Md2m %name Multimedia/Video %buildroot%_datadir/%name/Qxmp.desktop %buildroot/%_menudir/%name
# Icons
%__mkdir -p %buildroot%_menudir %buildroot%_liconsdir %buildroot%_miconsdir
convert -resize 48x48 %buildroot%_datadir/%name/Qxmp.png %buildroot%_liconsdir/Qxmp.png
convert -resize 32x32 %buildroot%_datadir/%name/Qxmp.png %buildroot%_iconsdir/Qxmp.png
convert -resize 16x16 %buildroot%_datadir/%name/Qxmp.png %buildroot%_miconsdir/Qxmp.png
# Docs
%__mkdir -p %buildroot%_docdir/%name-%version
ln -s %_datadir/%name/AUTHORS %buildroot%_docdir/%name-%version/AUTHORS
ln -s %_datadir/%name/COPYING %buildroot%_docdir/%name-%version/COPYING

%post
%update_menus

%preun
%clean_menus

%files
%_docdir/%name-%version
%_bindir/*
%_menudir/*
%_datadir/%name
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Fri Jan 05 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0-alt0.M24.2
- change by default:
    video output -> x11
    zoom enabled
    stop xscreensaver enabled

* Sat Dec 16 2006 Motsyo Gennadi <drool@altlinux.ru> 1.0-alt0.M24.1
- initial build for ALT Linux 2.4 Master
